<?xml version="1.0" encoding="UTF-8"?>
<ivy-module version="2.0" xmlns:m="http://ant.apache.org/ivy/maven">
	<info organisation="com.sun.faces"
		module="jsf-impl"
		revision="2.1.21"
		status="release"
		publication="20130409212302"
	>
		<license name="
                COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL) plus GPL
            " url="http://glassfish.java.net/nonav/public/CDDL+GPL.html" />
		<description homepage="http://java.sun.com/javaee/javaserverfaces/">
		This is the master POM file for Oracle&apos;s Implementation of the JSF 2.2 Specification.
		</description>
		<m:maven.plugins>org.apache.maven.plugins__maven-compiler-plugin__null|org.apache.maven.plugins__maven-deploy-plugin__null|org.apache.maven.plugins__maven-source-plugin__2.1|org.codehaus.mojo__build-helper-maven-plugin__1.7|org.apache.maven.plugins__maven-jar-plugin__null</m:maven.plugins>
	</info>
	<configurations>
		<conf name="default" visibility="public" description="runtime dependencies and master artifact can be used with this conf" extends="runtime,master"/>
		<conf name="master" visibility="public" description="contains only the artifact published by this module itself, with no transitive dependencies"/>
		<conf name="compile" visibility="public" description="this is the default scope, used if none is specified. Compile dependencies are available in all classpaths."/>
		<conf name="provided" visibility="public" description="this is much like compile, but indicates you expect the JDK or a container to provide it. It is only available on the compilation classpath, and is not transitive."/>
		<conf name="runtime" visibility="public" description="this scope indicates that the dependency is not required for compilation, but is for execution. It is in the runtime and test classpaths, but not the compile classpath." extends="compile"/>
		<conf name="test" visibility="private" description="this scope indicates that the dependency is not required for normal use of the application, and is only available for the test compilation and execution phases." extends="runtime"/>
		<conf name="system" visibility="public" description="this scope is similar to provided except that you have to provide the JAR which contains it explicitly. The artifact is always available and is not looked up in a repository."/>
		<conf name="sources" visibility="public" description="this configuration contains the source artifact of this module, if any."/>
		<conf name="javadoc" visibility="public" description="this configuration contains the javadoc artifact of this module, if any."/>
		<conf name="optional" visibility="public" description="contains all optional dependencies"/>
	</configurations>
	<publications>
		<artifact name="jsf-impl" type="jar" ext="jar" conf="master"/>
		<artifact name="jsf-impl" type="source" ext="jar" conf="sources" m:classifier="sources"/>
		<artifact name="jsf-impl" type="javadoc" ext="jar" conf="javadoc" m:classifier="javadoc"/>
	</publications>
	<dependencies>
		<dependency org="javax.servlet" name="javax.servlet-api" rev="3.0.1" force="true" conf="provided->compile(*),provided(*),runtime(*),master(*)"/>
		<dependency org="javax.servlet.jsp" name="javax.servlet.jsp-api" rev="2.2.1" force="true" conf="provided->compile(*),provided(*),runtime(*),master(*)"/>
		<dependency org="javax.el" name="javax.el-api" rev="2.2.1" force="true" conf="provided->compile(*),provided(*),runtime(*),master(*)"/>
		<dependency org="javax.servlet.jsp.jstl" name="jstl-api" rev="1.2" force="true" conf="provided->compile(*),provided(*),runtime(*),master(*)"/>
	</dependencies>
</ivy-module>
